Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mtm
Class MtmLevelMap

    java.lang.Object
      |
      +--oracle.olapi.metadata.BaseMetadataObject
            |
            +--oracle.olapi.metadata.mtm.MtmObject
                  |
                  +--oracle.olapi.metadata.mtm.MtmSourceMap
                        |
                        +--oracle.olapi.metadata.mtm.MtmDimensionMap
                              |
                              +--oracle.olapi.metadata.mtm.MtmSubDimensionMap
                                    |
                                    +--oracle.olapi.metadata.mtm.MtmLevelMap

public class MtmLevelMap
extends MtmSubDimensionMap

An `MtmSubDimensionMap` for an `MdmLevel`.

Method Summary
`java.lang.Object` | `acceptVisitor(MtmObjectVisitor visitor, java.lang.Object context)` Calls the `visitMtmLevelMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmLevelMap` and the specified `context` object.
`MtmExpression` | `getLevelExpression()` Gets the `MtmExpression` that represents the column for the `MdmLevel` in a relational table or view.
`void` | `setLevelExpression(MtmExpression expression)` Specifies the `MtmExpression` that represents the column for the `MdmLevel` in a relational table or view.

Methods inherited from class oracle.olapi.metadata.mtm.MtmSourceMap
`getMdmSource, setMdmSource`

Methods inherited from class oracle.olapi.metadata.BaseMetadataObject
`getID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### acceptVisitor

    public java.lang.Object acceptVisitor(MtmObjectVisitor visitor,
                                          java.lang.Object context)

  Calls the `visitMtmLevelMap` method of the specified `MtmObjectVisitor` and passes that method this `MtmLevelMap` and the specified `context` object.
  Overrides:
    acceptVisitor in class MtmObject
  Parameters:
    `visitor` - An `MtmObjectVisitor`.
    `context` - An `Object`.
  Returns:
    The `Object` returned by the `visitMtmLevelMap` method.

### getLevelExpression

    public MtmExpression getLevelExpression()

  Gets the `MtmExpression` that represents the column for the `MdmLevel` in a relational table or view.
  Returns:
    The `MtmExpression` that represents the column for the `MdmLevel`.

### setLevelExpression

    public void setLevelExpression(MtmExpression expression)

  Specifies the `MtmExpression` that represents the column for the `MdmLevel` in a relational table or view.
  Parameters:
    `expression` - The `MtmExpression` that represents the column for the `MdmLevel`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.